diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 34adb0a..4386d96 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -132017,7 +132017,10 @@ RationalLODE(F, UP): Exports == Implementation where
       hom := [UTS2UP(dd * ode(f, unitlist(i, q))$solver, n)$tools /$RF d
                    for i in 1..q]$List(RF)
       a1 := inv(leadingCoefficient(op)::RF)
-      part := [UTS2UP(dd * ode(RF2UTS(a1 * g)$tools + f #1, e)$solver, n)$tools
+      part := 
+       [UTS2UP(dd * 
+         ode((l1:List(uts)):uts +-> 
+              RF2UTS(a1 * g)$tools + f l1, e)$solver, n)$tools
                 /$RF d for g in lg | g ^= 0]$List(RF)
       [hom, part]
 
diff --git a/changelog b/changelog
index fd51960..0a30df4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090620 tpd src/axiom-website/patches.html 20090620.02.tpd.patch
+20090620 tpd books/bookvol10.4 ODERAT +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.01.tpd.patch
 20090620 tpd books/bookvol10.4 SUMRF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.10.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a5c38a8..20b9f75 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1601,5 +1601,7 @@ bookvol10.4 INTRF +-> conversion<br/>
 bookvol10.4 LIMITRF +-> conversion<br/>
 <a href="patches/20090620.01.tpd.patch">20090620.01.tpd.patch</a>
 bookvol10.4 SUMRF +-> conversion<br/>
+<a href="patches/20090620.02.tpd.patch">20090620.02.tpd.patch</a>
+bookvol10.4 ODERAT +-> conversion<br/>
  </body>
 </html>
